OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CYapfNodeKeyTrackDir Struct Reference
Inheritance diagram for CYapfNodeKeyTrackDir:

## Public Member Functions
int | CalcHash () const
bool | operator== (const CYapfNodeKeyTrackDir &other) const
Public Member Functions inherited from CYapfNodeKeyExitDir
void | Set (TileIndex tile, Trackdir td)
bool | operator== (const CYapfNodeKeyExitDir &other) const
void | Dump (DumpTarget &dmp) const

## Additional Inherited Members
Data Fields inherited from CYapfNodeKeyExitDir
TileIndex | m_tile
Trackdir | m_td
DiagDirection | m_exitdir

## Detailed Description

Definition at line 39 of file yapf_node.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node.hpp